Instalar gcc en Ubuntu

Hoy he descubierto que, curiosamente, gcc no viene instalado «de serie» en Ubuntu. Para instalarlo, junto con otros paquetes hay que usar el comando:

Se instalan también los siguientes paquetes: binutils build-essential cpp cpp-4.0 dpkg-dev g++ g++-4.0 gcc gcc-4.0
libc6-dev libstdc++6-4.0-dev linux-kernel-headers make.


¿Necesitas ayuda con algún trabajo de clase? Entra en BuscoProfe.com

34 thoughts on “Instalar gcc en Ubuntu”

  1. Oh! gracias maestro… nadie era capaz de explicarme asi de simple lo que habia que hacer con ubuntu respecto al GCC

  2. En primer lugar gracias por el dato acerca de Ubuntu, pero queria saber si me podrian explicar como instalar la libreria GSL (Gnu Scientific Library) en el mismo ubuntu.

    Gracias

  3. y q pasa si m dice lo siguiente?????:

    Leyendo lista de paquetes… Hecho
    Creando el árbol de dependencias… Hecho
    El paquete build-essential no está disponible, pero algún otro paquete hace referencia a él. Esto puede significar que el paquete falta, está obsoleto o sólo se encuentra disponible desde alguna otra fuente.
    E: El paquete build-essential no tiene candidato para su instalación

    dond está el dichoso paquete???

  4. Cuando te dice que no hay opcion equivalente. es porque no le has puesto el nombre. con la version nueva de ubuntu pones install build-essential gcc-4.0 como este es el nombre correcto del paquete te lo instalará. te va a pedir que pongas el cd de ubuntu.

  5. tengo un problema, cuando voy a instalar algo con «./configure», al final me presenta el mensaje
    que no puedo crear los ejecutable por tanto no puedo ejecutar «make;make install»
    agradecere cualquier sugerencia

  6. Buenas tardes queria hacer una pregunta. Yo voy a usar un software basado en fuente libre llamado SYMPHONY si alguien sabe algo con respecto a este software por favor se lo agradeceria mucho. Tengo instalado ubuntu 6 en mi maquina. Queria saber como hago para descomprimir el software ya que me viene comprimido en .zip Gracias

  7. buenas noches
    acaabo de descargar la version de gcc 4.0.1 sin embargo a la hora de instalarlo, cuando ejecuto :
    sudo apt-get install build-essential me tira lo siguiente:
    Leyendo lista de paquetes… Hecho
    Creando arbol de dependencias…Hecho
    E: no se pudo encontrar el paquete build-essential
    si alguien pudiera ayudarme se lo agradeceria!!!

  8. A ver si alguien me puede prestar ayuda,

    tengo la versión 5.10 del Ubuntu live cd, y quería instalar el compilador gcc.

    El problema es que me salen varios errores del tipo:

    W:Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/b/binutils/binutils_2.16.1-2ubuntu6_i386.deb
    404 Not Found [IP: 91.189.89.6 80]

    Este error me sale tanto al intentar insatalar desde la aplicación Synaptic que viene con ubuntu como desde el terminal.

    Supongo que puede ser por algún problema de actualización de direcciones IP, pero no se como solucionarlo. También intenté con: apt-get update, pero me sale el mismo error: que no encuentra esa IP.

    Muchas gracias por anticipado.

    Sebas

  9. ola todos
    me sale un error del copilador

    checking build system type… i686-pc-linux-gnu
    checking host system type… i686-pc-linux-gnu
    checking target system type… i686-pc-linux-gnu
    checking for a BSD-compatible install… /usr/bin/install -c
    checking whether build environment is sane… yes
    checking for gawk… no
    checking for mawk… mawk
    checking whether make sets $(MAKE)… yes
    checking for gcc… gcc
    checking for C compiler default output file name… a.out
    checking whether the C compiler works… configure: error: cannot run C compiled programs.
    If you meant to cross compile, use `–host’.

    tengo el gcc instalado y todos los componentes pero no se por que me sale eso
    si me podeis ayudar
    enga saludo a tod@s

  10. Sebas:

    Es posible que el problema se deba a que el archivo ya no está en ese repositorio. Prueba con otros a ver si hay suerte. A mí me pasó algo parecido, probé con un repositorio de Italia y me funcionó.

  11. Creo que aun asi no eh podido isntalarlo me dise esto….
    adan@cure-desktop:~$ sudo apt-get install build-essential
    [sudo] password for adan:
    E: dpkg was interrupted, you must manually run ‘dpkg –configure -a’ to correct the problem.
    adan@cure-desktop:~$

  12. Al ejecutar el comando sudo apt-get install build-essential me arroja el siguiente error:
    Fallo de segmentaciónetes… 87%
    He intentado varias veces pero el error es el mismo solo varía el porcentaje.
    Si alguien sabe de que se trata y me pueda ayudar lo agradeceria ya que recien estoy conociendo Linux.

  13. Ana
    Comentario by Ana | 03/15/07 at 11:59 pm

    y q pasa si m dice lo siguiente?????:

    Leyendo lista de paquetes… Hecho
    Creando el árbol de dependencias… Hecho
    El paquete build-essential no está disponible, pero algún otro paquete hace referencia a él. Esto puede significar que el paquete falta, está obsoleto o sólo se encuentra disponible desde alguna otra fuente.
    E: El paquete build-essential no tiene candidato para su instalación

    dond está el dichoso paquete???

    chavo
    Comentario by chavo | 04/01/07 at 4:23 am

    Cuando te dice que no hay opcion equivalente. es porque no le has puesto el nombre. con la version nueva de ubuntu pones install build-essential gcc-4.0 como este es el nombre correcto del paquete te lo instalará. te va a pedir que pongas el cd de ubuntu.

    Ahora, que pasa si me devuelve el mismo error cuando hago eso??

  14. También podéis probar a instalarlo a traves de Synaptic:

    Sistema->Administración->Gestor de Paquetes Synaptic

    Pincháis sobre el botón «buscar» y tecleáis ‘gcc’.

  15. hola. soy nueva en esto, estoy intentando usar el ubuntu en casa. En el instituto lo uso y no tengo preblema. Me lo traje de alli y lo intale aqui; resulta que tengo que carger el build-essetial, pero no puedo… me dice:
    E: No se pudo encontrar el paquete build-essetial.

    Alguien me haria el favor de decirme que es lo que tengo que hacer, porque me estoy volviendo loca… Y la semana que viene tengo un examen de esto y no puedo practicar porque no puedo instalar este paquete… Gracias mil.

  16. hola. soy nueva en esto, estoy intentando usar el ubuntu en casa. En el instituto lo uso y no tengo preblema. Me lo traje de alli y lo intale aqui; resulta que tengo que carger el build-essetial, pero no puedo… me dice:
    E: No se pudo encontrar el paquete build-essetial.

    Alguien me haria el favor de decirme que es lo que tengo que hacer, porque me estoy volviendo loca… Y la semana que viene tengo un examen de esto y no puedo practicar porque no puedo instalar este paquete… Gracias mil.

    mail: isolda29@hotmail.com

  17. ya lo probe en ubunto 8.04 pero primero se tiene que actulizar desde consola todos los paquetes instalados

  18. no pues, me inicie en linux, debo implementar e protocolo ftp en c++ y necesito el compilador g++ levo dos semanas en esto, pues debo entregarlo sobre linux!!, y ps nada todo loq hago en los forum
    que sudo apt-get install build-essential
    que sudo get install build-essential
    que sinaptyc
    al fin, es mas fcail instalar algo en windows,

  19. hola soy nuevo en esto de linux .. la verdad esta espectacular pero todavia no lo se usar … la verdad me estoy volviendo un poco loco
    queria saber si alguien me puede ayudar y decirme donde estan los archivos instalados porque yo instale el gcc para y no se donde fue a parar o sea que no lo puedo abrir.
    desde ya muchisimas gracias.-

    christian

  20. Hola,

    Alguna vez me ha pasado que el paquete que quiero instalar desde los respositorios no esta disponible.

    Para actualizar la lista de paquetes en nuestro ubuntu basta con hacer

    $ sudo apt-get update

    Y con eso se actualizan los repositorios y desaparece el problema de que no esten disponibles algunos paquetes.

  21. hey thank you very very much ! you just made my day im doing a research of gnu and makefiles and i had to install this
    thnaks again!

  22. Donde se descarga ese archivo necesito encontrarlo para poner la direccion del compilador en el netbeans ayuda porfa

  23. Ya lei todos los comentarios y hay 2 personas que les pasa el mismo problema que a mi, justo desues de ejecutar el comando

    $ sudo apt-get install pentium-builder
    Leyendo lista de paquetes… Hecho
    Creando árbol de dependencias
    Leyendo la información de estado… Hecho
    E: No se pudo encontrar el paquete pentium-builder

    ya intente muchas cosas y no soluciono nada, alguien puede informarme que es lo que pasa, ya que no logro instalar ningun paquete

    PD: previamente ya ejecute el comando $ sudo apt-get update

Leave a Reply

Este sitio usa Akismet para reducir el spam. Aprende cómo se procesan los datos de tus comentarios.